/**
 * @function matchAnyProp
 */

'use strict'

/** @lends matchAnyProp */
function matchAnyProp (data, matching) {
  let keys = Object.keys(data || {})
  for (let i = 0, len = keys.length; i < len; i++) {
    let key = keys[ i ]
    let val = data[ key ]
    let hit = String(val).match(matching)
    if (hit) {
      return true
    }
  }
  return false
}

module.exports = matchAnyProp
